Enumerations

# music_widget.h File Reference

Types related to the music widgets. More...

Go to the source code of this file.

## Enumerations
enum | MusicTrackSelectionWidgets { WID_MTS_LIST_LEFT, WID_MTS_PLAYLIST, WID_MTS_LIST_RIGHT, WID_MTS_ALL, WID_MTS_OLD, WID_MTS_NEW, WID_MTS_EZY, WID_MTS_CUSTOM1, WID_MTS_CUSTOM2, WID_MTS_CLEAR }
| Widgets of the MusicTrackSelectionWindow class. More...
enum | MusicWidgets { WID_M_PREV, WID_M_NEXT, WID_M_STOP, WID_M_PLAY, WID_M_SLIDERS, WID_M_MUSIC_VOL, WID_M_EFFECT_VOL, WID_M_BACKGROUND, WID_M_TRACK, WID_M_TRACK_NR, WID_M_TRACK_TITLE, WID_M_TRACK_NAME, WID_M_SHUFFLE, WID_M_PROGRAMME, WID_M_ALL, WID_M_OLD, WID_M_NEW, WID_M_EZY, WID_M_CUSTOM1, WID_M_CUSTOM2 }
| Widgets of the MusicWindow class. More...

## Detailed Description

Types related to the music widgets.

Definition in file music_widget.h.

## Enumeration Type Documentation

enum MusicTrackSelectionWidgets

Widgets of the MusicTrackSelectionWindow class.

Enumerator:

  WID_MTS_LIST_LEFT | Left button.
  WID_MTS_PLAYLIST | Playlist.
  WID_MTS_LIST_RIGHT | Right button.
  WID_MTS_ALL | All button.
  WID_MTS_OLD | Old button.
  WID_MTS_NEW | New button.
  WID_MTS_EZY | Ezy button.
  WID_MTS_CUSTOM1 | Custom1 button.
  WID_MTS_CUSTOM2 | Custom2 button.
  WID_MTS_CLEAR | Clear button.

Definition at line 16 of file music_widget.h.

enum MusicWidgets

Widgets of the MusicWindow class.

Enumerator:

  WID_M_PREV | Previous button.
  WID_M_NEXT | Next button.
  WID_M_STOP | Stop button.
  WID_M_PLAY | Play button.
  WID_M_SLIDERS | Sliders.
  WID_M_MUSIC_VOL | Music volume.
  WID_M_EFFECT_VOL | Effect volume.
  WID_M_BACKGROUND | Background of the window.
  WID_M_TRACK | Track playing.
  WID_M_TRACK_NR | Track number.
  WID_M_TRACK_TITLE | Track title.
  WID_M_TRACK_NAME | Track name.
  WID_M_SHUFFLE | Shuffle button.
  WID_M_PROGRAMME | Program button.
  WID_M_ALL | All button.
  WID_M_OLD | Old button.
  WID_M_NEW | New button.
  WID_M_EZY | Ezy button.
  WID_M_CUSTOM1 | Custom1 button.
  WID_M_CUSTOM2 | Custom2 button.

Definition at line 30 of file music_widget.h.